module(...)
--auto generate data
AwakeAttr={
	[301]={
		abnormal_attr_ratio=500,
		attack=251,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=1960,
		partner_type=301,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=25,
	},
	[302]={
		abnormal_attr_ratio=500,
		attack=251,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=2069,
		partner_type=302,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=23,
	},
	[303]={
		abnormal_attr_ratio=500,
		attack=283,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=49,
		maxhp=1742,
		partner_type=303,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=39,
	},
	[305]={
		abnormal_attr_ratio=500,
		attack=285,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=41,
		maxhp=2004,
		partner_type=305,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=21,
	},
	[306]={
		abnormal_attr_ratio=500,
		attack=293,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=40,
		maxhp=2178,
		partner_type=306,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=25,
	},
	[308]={
		abnormal_attr_ratio=500,
		attack=207,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=2614,
		partner_type=308,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=31,
	},
	[311]={
		abnormal_attr_ratio=500,
		attack=210,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=47,
		maxhp=2505,
		partner_type=311,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=11,
	},
	[312]={
		abnormal_attr_ratio=500,
		attack=234,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=47,
		maxhp=2243,
		partner_type=312,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=37,
	},
	[313]={
		abnormal_attr_ratio=500,
		attack=249,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=2069,
		partner_type=313,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=28,
	},
	[314]={
		abnormal_attr_ratio=500,
		attack=276,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=42,
		maxhp=2156,
		partner_type=314,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=12,
	},
	[315]={
		abnormal_attr_ratio=500,
		attack=268,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=45,
		maxhp=2025,
		partner_type=315,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=29,
	},
	[316]={
		abnormal_attr_ratio=500,
		attack=256,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=46,
		maxhp=2396,
		partner_type=316,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=14,
	},
	[318]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=1,
		critical_ratio=1,
		cure_critical_ratio=1,
		defense=1,
		maxhp=1,
		partner_type=318,
		res_abnormal_ratio=1,
		res_critical_ratio=1,
		speed=1,
	},
	[401]={
		abnormal_attr_ratio=500,
		attack=202,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=2483,
		partner_type=401,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=36,
	},
	[402]={
		abnormal_attr_ratio=500,
		attack=234,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=2134,
		partner_type=402,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=41,
	},
	[403]={
		abnormal_attr_ratio=500,
		attack=258,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=49,
		maxhp=2221,
		partner_type=403,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=30,
	},
	[404]={
		abnormal_attr_ratio=500,
		attack=207,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=2374,
		partner_type=404,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=23,
	},
	[405]={
		abnormal_attr_ratio=500,
		attack=219,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=43,
		maxhp=2614,
		partner_type=405,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=40,
	},
	[407]={
		abnormal_attr_ratio=500,
		attack=195,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=48,
		maxhp=2614,
		partner_type=407,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=18,
	},
	[409]={
		abnormal_attr_ratio=500,
		attack=261,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=44,
		maxhp=2287,
		partner_type=409,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=17,
	},
	[410]={
		abnormal_attr_ratio=500,
		attack=276,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=45,
		maxhp=1960,
		partner_type=410,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=45,
	},
	[412]={
		abnormal_attr_ratio=500,
		attack=280,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=41,
		maxhp=2396,
		partner_type=412,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=38,
	},
	[413]={
		abnormal_attr_ratio=500,
		attack=256,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=2221,
		partner_type=413,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=20,
	},
	[414]={
		abnormal_attr_ratio=500,
		attack=239,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=48,
		maxhp=2091,
		partner_type=414,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=33,
	},
	[415]={
		abnormal_attr_ratio=500,
		attack=195,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=59,
		maxhp=2548,
		partner_type=415,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=35,
	},
	[416]={
		abnormal_attr_ratio=500,
		attack=212,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=55,
		maxhp=2352,
		partner_type=416,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=32,
	},
	[417]={
		abnormal_attr_ratio=500,
		attack=249,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=46,
		maxhp=2178,
		partner_type=417,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=46,
	},
	[418]={
		abnormal_attr_ratio=500,
		attack=263,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=59,
		maxhp=2113,
		partner_type=418,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=27,
	},
	[501]={
		abnormal_attr_ratio=500,
		attack=268,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=46,
		maxhp=1960,
		partner_type=501,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=12,
	},
	[502]={
		abnormal_attr_ratio=500,
		attack=258,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=48,
		maxhp=2004,
		partner_type=502,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=19,
	},
	[503]={
		abnormal_attr_ratio=500,
		attack=271,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=1742,
		partner_type=503,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=42,
	},
	[504]={
		abnormal_attr_ratio=500,
		attack=224,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=44,
		maxhp=2548,
		partner_type=504,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=26,
	},
	[505]={
		abnormal_attr_ratio=500,
		attack=276,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=40,
		maxhp=2243,
		partner_type=505,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=15,
	},
	[506]={
		abnormal_attr_ratio=500,
		attack=263,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=1786,
		partner_type=506,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=9,
	},
	[507]={
		abnormal_attr_ratio=500,
		attack=224,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=44,
		maxhp=2505,
		partner_type=507,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=35,
	},
	[508]={
		abnormal_attr_ratio=500,
		attack=234,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=47,
		maxhp=2461,
		partner_type=508,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=44,
	},
	[509]={
		abnormal_attr_ratio=500,
		attack=258,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=44,
		maxhp=2069,
		partner_type=509,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=45,
	},
	[510]={
		abnormal_attr_ratio=500,
		attack=278,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=43,
		maxhp=2069,
		partner_type=510,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=22,
	},
	[511]={
		abnormal_attr_ratio=500,
		attack=244,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=46,
		maxhp=2221,
		partner_type=511,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=43,
	},
	[512]={
		abnormal_attr_ratio=500,
		attack=263,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=43,
		maxhp=2309,
		partner_type=512,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=27,
	},
	[513]={
		abnormal_attr_ratio=500,
		attack=276,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=1786,
		partner_type=513,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=15,
	},
	[514]={
		abnormal_attr_ratio=500,
		attack=249,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=49,
		maxhp=2025,
		partner_type=514,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=16,
	},
	[515]={
		abnormal_attr_ratio=500,
		attack=207,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=54,
		maxhp=2614,
		partner_type=515,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=31,
	},
	[516]={
		abnormal_attr_ratio=500,
		attack=210,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=47,
		maxhp=2505,
		partner_type=516,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=11,
	},
	[517]={
		abnormal_attr_ratio=500,
		attack=285,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=41,
		maxhp=2004,
		partner_type=517,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=21,
	},
	[518]={
		abnormal_attr_ratio=500,
		attack=263,
		critical_damage=0,
		critical_ratio=500,
		cure_critical_ratio=500,
		defense=50,
		maxhp=1786,
		partner_type=518,
		res_abnormal_ratio=500,
		res_critical_ratio=500,
		speed=9,
	},
}

Level={
	[301]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=4,
		partner_type=301,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[302]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=302,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[303]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=5,
		maxhp=5,
		partner_type=303,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=2,
	},
	[305]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=305,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[306]={
		abnormal_attr_ratio=2,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=5,
		maxhp=3,
		partner_type=306,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[308]={
		abnormal_attr_ratio=2,
		attack=5,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=308,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[311]={
		abnormal_attr_ratio=1,
		attack=5,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=311,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=5,
	},
	[312]={
		abnormal_attr_ratio=5,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=312,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=2,
	},
	[313]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=3,
		partner_type=313,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[314]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=4,
		maxhp=3,
		partner_type=314,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=5,
	},
	[315]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=315,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=2,
	},
	[316]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=316,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=5,
	},
	[318]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=1,
		critical_ratio=1,
		cure_critical_ratio=1,
		defense=1,
		maxhp=1,
		partner_type=318,
		res_abnormal_ratio=1,
		res_critical_ratio=1,
		speed=1,
	},
	[401]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=2,
		maxhp=2,
		partner_type=401,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[402]={
		abnormal_attr_ratio=3,
		attack=4,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=402,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=1,
	},
	[403]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=403,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[404]={
		abnormal_attr_ratio=2,
		attack=5,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=404,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[405]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=1,
		partner_type=405,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[407]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=2,
		maxhp=2,
		partner_type=407,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[409]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=409,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=4,
	},
	[410]={
		abnormal_attr_ratio=5,
		attack=2,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=4,
		partner_type=410,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[412]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=5,
		maxhp=4,
		partner_type=412,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=2,
	},
	[413]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=413,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=4,
	},
	[414]={
		abnormal_attr_ratio=2,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=414,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=2,
	},
	[415]={
		abnormal_attr_ratio=5,
		attack=5,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=415,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[416]={
		abnormal_attr_ratio=2,
		attack=4,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=416,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[417]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=3,
		maxhp=3,
		partner_type=417,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[418]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=3,
		partner_type=418,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[501]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=501,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=5,
	},
	[502]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=502,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[503]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=503,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[504]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=504,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=3,
	},
	[505]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=5,
		maxhp=2,
		partner_type=505,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=5,
	},
	[506]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=5,
		partner_type=506,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[507]={
		abnormal_attr_ratio=3,
		attack=4,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=507,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=2,
	},
	[508]={
		abnormal_attr_ratio=3,
		attack=4,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=508,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[509]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=3,
		maxhp=3,
		partner_type=509,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[510]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=3,
		partner_type=510,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[511]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=511,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[512]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=2,
		partner_type=512,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[513]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=5,
		maxhp=5,
		partner_type=513,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=5,
	},
	[514]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=514,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=4,
	},
	[515]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=515,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[516]={
		abnormal_attr_ratio=1,
		attack=5,
		critical_damage=2,
		critical_ratio=4,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=516,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=5,
	},
	[517]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=517,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[518]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=5,
		partner_type=518,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
}

AwakeLevel={
	[301]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=4,
		partner_type=301,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[302]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=3,
		partner_type=302,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[303]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=5,
		maxhp=4,
		partner_type=303,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=1,
	},
	[305]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=305,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[306]={
		abnormal_attr_ratio=2,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=3,
		partner_type=306,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[308]={
		abnormal_attr_ratio=2,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=308,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[311]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=311,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=5,
	},
	[312]={
		abnormal_attr_ratio=4,
		attack=3,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=2,
		maxhp=2,
		partner_type=312,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[313]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=3,
		partner_type=313,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[314]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=4,
		maxhp=3,
		partner_type=314,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=4,
	},
	[315]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=315,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=2,
	},
	[316]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=316,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=4,
	},
	[318]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=1,
		critical_ratio=1,
		cure_critical_ratio=1,
		defense=1,
		maxhp=1,
		partner_type=318,
		res_abnormal_ratio=1,
		res_critical_ratio=1,
		speed=1,
	},
	[401]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=401,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[402]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=402,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=1,
	},
	[403]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=2,
		maxhp=2,
		partner_type=403,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[404]={
		abnormal_attr_ratio=2,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=404,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[405]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=1,
		partner_type=405,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[407]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=2,
		maxhp=2,
		partner_type=407,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[409]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=2,
		partner_type=409,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=4,
	},
	[410]={
		abnormal_attr_ratio=4,
		attack=1,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=3,
		maxhp=4,
		partner_type=410,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[412]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=412,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=1,
	},
	[413]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=413,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=4,
	},
	[414]={
		abnormal_attr_ratio=2,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=3,
		partner_type=414,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=2,
	},
	[415]={
		abnormal_attr_ratio=4,
		attack=5,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=415,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=2,
	},
	[416]={
		abnormal_attr_ratio=2,
		attack=4,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=2,
		partner_type=416,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[417]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=3,
		maxhp=3,
		partner_type=417,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[418]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=3,
		partner_type=418,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=3,
	},
	[501]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=501,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=4,
	},
	[502]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=502,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=4,
	},
	[503]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=503,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[504]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=504,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=3,
	},
	[505]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=4,
		maxhp=2,
		partner_type=505,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=4,
	},
	[506]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=506,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
	[507]={
		abnormal_attr_ratio=3,
		attack=4,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=3,
		maxhp=1,
		partner_type=507,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=2,
	},
	[508]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=2,
		maxhp=1,
		partner_type=508,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[509]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=3,
		maxhp=3,
		partner_type=509,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=1,
	},
	[510]={
		abnormal_attr_ratio=3,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=3,
		partner_type=510,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[511]={
		abnormal_attr_ratio=1,
		attack=3,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=511,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=1,
	},
	[512]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=2,
		partner_type=512,
		res_abnormal_ratio=2,
		res_critical_ratio=4,
		speed=3,
	},
	[513]={
		abnormal_attr_ratio=3,
		attack=3,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=513,
		res_abnormal_ratio=2,
		res_critical_ratio=3,
		speed=4,
	},
	[514]={
		abnormal_attr_ratio=3,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=514,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=4,
	},
	[515]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=515,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[516]={
		abnormal_attr_ratio=1,
		attack=4,
		critical_damage=2,
		critical_ratio=3,
		cure_critical_ratio=2,
		defense=1,
		maxhp=1,
		partner_type=516,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=5,
	},
	[517]={
		abnormal_attr_ratio=1,
		attack=1,
		critical_damage=2,
		critical_ratio=1,
		cure_critical_ratio=2,
		defense=4,
		maxhp=4,
		partner_type=517,
		res_abnormal_ratio=2,
		res_critical_ratio=2,
		speed=3,
	},
	[518]={
		abnormal_attr_ratio=1,
		attack=2,
		critical_damage=2,
		critical_ratio=2,
		cure_critical_ratio=2,
		defense=2,
		maxhp=4,
		partner_type=518,
		res_abnormal_ratio=2,
		res_critical_ratio=1,
		speed=2,
	},
}
